boost::geometry::box_view< Box, Clockwise > Struct Template Reference

Makes a box behave like a ring or a range. More...

List of all members.

## Classes

class | copy_policy

## Public Types

typedef geometry::point_type < Box >::type | point_type

## Public Member Functions

| box_view (Box const &box)
| Constructor accepting the box to adapt.

## Detailed Description

### template<typename Box, bool Clockwise = true>
struct boost::geometry::box_view< Box, Clockwise >

Makes a box behave like a ring or a range.

Adapts a box to the Boost.Range concept, enabling the user to iterating box corners. The box_view is registered as a Ring Concept

Template Parameters:

  Box | A type fulfilling the Box Concept
  Clockwise | If true, walks in clockwise direction, otherwise it walks in counterclockwise direction

## Member Typedef Documentation

template<typename Box , bool Clockwise = true>

typedef geometry::point_type<Box>::type boost::geometry::box_view< Box, Clockwise >::point_type

## Constructor & Destructor Documentation

template<typename Box , bool Clockwise = true>

boost::geometry::box_view< Box, Clockwise >::box_view | ( | Box const & | box | ) | `[explicit]`

Constructor accepting the box to adapt.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK